# CPU Cluster Barnard

* [Prepare login to Barnard](#login-to-barnard)
* [Data management and data transfer to new filesystems](#data-management-and-data-transfer)
* [Update job scripts and workflow to new software](#software)
* [Update job scripts and workflow w.r.t. Slurm](#slurm)

!!! note

    We highly recommand to first read the entire page carefully, and then execute the steps.

We value your feedback. Please provide it directly via our ticket system. For better processing,
please add "Barnard:" as a prefix to the subject of the [support ticket](../support/support.md).

## Login to Barnard

You use `login[1-4].barnard.hpc.tu-dresden.de` to access the system
from campus (or VPN). In order to verify the SSH fingerprints of the login nodes, please refer to
the page [Fingerprints](../access/key_fingerprints.md#barnard).

All users have **new empty HOME** filesystems, this means you have first to ...

??? "... install your public SSH key on Barnard"

    - Please create a new SSH keypair with ed25519 encryption, secured with
        a passphrase. Please refer to this
        [page for instructions](../access/ssh_login.md#before-your-first-connection).
    - After login, add the public key to your `.ssh/authorized_keys` file on Barnard.

## Data Management and Data Transfer

### Filesystems on Barnard

Our new HPC system Barnard also comes with **two new Lustre filesystems**, namely `/data/horse` and
`/data/walrus`. Both have a capacity of 20 PB, but differ in performance and intended usage, see
below. In order to support the data life cycle management, the well-known
[workspace concept](#workspaces-on-barnard) is applied.

* The `/project` filesystem is mounted read-only on the compute nodes.
* The new work filesystem is `/data/horse`.
* The slower `/data/walrus` can be considered as a substitute for the old
  `/warm_archive`- mounted **read-only** on the compute nodes.
  It can be used to store e.g. results.

### Workspaces on Barnard

The filesystems `/data/horse` and `/data/walrus` can only be accessed via workspaces. Please refer
to the [workspace page](../data_lifecycle/workspaces.md), if you are not familiar with the
workspace concept and the corresponding commands. You can find the settings for
workspaces on these two filesystems in the
[section Settings for Workspaces](../data_lifecycle/workspaces.md#workspace-lifetimes).

## Software

Barnard is running on Linux RHEL 8.7. All application software was re-built consequently using Git
and CI/CD pipelines for handling the multitude of versions.

We start with `release/23.10` which is based on software requests from user feedbacks of our
HPC users. Most major software versions exist on all hardware platforms.

Please use `module spider` to identify the software modules you need to load.

## Slurm

* We are running the most recent Slurm version.
* You must not use the old partition names.
* Not all things are tested.

### Node-Local Storage

Note that most nodes on Barnard don't have a local disk and space in `/tmp` is **very** limited.
If you need a local disk request this with the
[Slurm feature](slurm.md#node-local-storage-in-jobs)
`--constraint=local_disk` to `sbatch`, `salloc`, and `srun`.
